Unsubscribe Targets from an Image

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/actions/unSubscribeTargets

Unsubscribes targets from an image

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Match All
Show Source
Nested Schema : SubscribeTargetsDetails
Type: object
Details of subscription of targets
Match All
Details of subscription of targets
Details of subscription of targets
Show Source
Nested Schema : TargetList
Type: object
List of targets
Show Source
Nested Schema : SubscribeTargetCommonDetails
Type: object
Common details for subscription of a target to the image
Show Source
Nested Schema : targetList
Type: array
Array of target names
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Ok. Targets unsubscribed.
Body ()
Root Schema : schema
Type: object
Match All
Show Source
Nested Schema : GoldImageUnSubscribeTargets
Type: object
Targets unsubscription response
Match All
Targets unsubscription response
Show Source
Nested Schema : GoldImageTargetsSubscriptionSummary
Type: object
Targets subscription details
Show Source
Nested Schema : items
Type: array
List of subscription summary
Show Source
Nested Schema : SubscriptionSummary
Type: object
Target subscription summary
Show Source
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top